| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions | Variables
isf_sysconf_comms.c File Reference

System Communications channel configuration. More...

`#include <isf_sysconf_types.h>`
`#include <isf_sysconf_comms.h>`
`#include "isf.h"`
`#include "Events.h"`
`#include "isf_i2c_master_types.h"`
`#include "isf_uart_types.h"`
`#include "isf_spi_master_types.h"`
Include dependency graph for isf_sysconf_comms.c:

Go to the source code of this file.

## Enumerations
enum | { I2C_BUS_0 = 0, I2C_NUM_BUS }
enum | { UART_BUS_0 = 0, UART_NUM_BUS }
enum | { SPI_BUS_0 = 0, SPI_NUM_BUS }

## Functions
uint32 | get_ci_comm (void)

## Variables
const i2c_Master_BusConfig_t | gSys_I2cBusConfig []
const uint8 | gSys_NumI2cBuses = I2C_INSTANCE_COUNT
i2c_Master_busHandle_t | i2c_master_busHandle [I2C_INSTANCE_COUNT]
mutex_t | i2c_Master_mutexHandler [I2C_INSTANCE_COUNT]
const uint8 | gSys_NumUartBuses = UART_INSTANCE_COUNT
uart_busHandle_t | uart_busHandle [UART_INSTANCE_COUNT]
mutex_t | uart_lock [UART_INSTANCE_COUNT]
mutex_t | uart_rdlock [UART_INSTANCE_COUNT]
const uint8 | gSys_NumSpiBuses = SPI_INSTANCE_COUNT
spi_master_busHandle_t | spi_busHandle [SPI_INSTANCE_COUNT]
mutex_t | spi_lock [SPI_INSTANCE_COUNT]
mutex_t | spi_rdlock [SPI_INSTANCE_COUNT]
const sys_channelDescriptor_t | gSys_ConfiguredChannelList []
| This data structure/variable holds the complete state of the rli magnetometer sensor embedded application. More...
const uint8 | gSys_NumChannels = sizeof(gSys_ConfiguredChannelList)/sizeof(sys_channelDescriptor_t)

## Detailed Description

System Communications channel configuration.

Version
  0.0

Copyright (c) 2015, Freescale, Inc.

Definition in file isf_sysconf_comms.c.

## Enumeration Type Documentation

anonymous enum

Enumerator
I2C_BUS_0 |
I2C_NUM_BUS |

Definition at line 18 of file isf_sysconf_comms.c.

anonymous enum

Enumerator
UART_BUS_0 |
UART_NUM_BUS |

Definition at line 39 of file isf_sysconf_comms.c.

anonymous enum

Enumerator
SPI_BUS_0 |
SPI_NUM_BUS |

Definition at line 57 of file isf_sysconf_comms.c.

## Function Documentation

uint32 get_ci_comm | ( | void |  | ) |

Definition at line 93 of file isf_sysconf_comms.c.

References COMM_CHANNEL_UART2.

Referenced by ci_init().

Here is the caller graph for this function:

## Variable Documentation

const sys_channelDescriptor_t gSys_ConfiguredChannelList[]

Initial value:
= {
{
.protocolType = PROTOCOL_TYPE_I2C,
.protocolInstanceId = FSL_ISF_I2C1,
.pConfig = &gSys_I2cBusConfig[I2C_BUS_0]
},
{
.protocolType = PROTOCOL_TYPE_SPI,
.protocolInstanceId = FSL_ISF_SPI1,
.pConfig = NULL
},
{
.protocolType = PROTOCOL_TYPE_UART,
.protocolInstanceId = FSL_ISF_UART1,
.pConfig = &ISF_UART1_InitConfig0
},
}
FSL_ISF_I2C1
#define FSL_ISF_I2C1
Device instance number.
Definition: ISF_I2C1.h:91
I2C_BUS_0
Definition: isf_sysconf_comms.c:19
FSL_ISF_UART1
#define FSL_ISF_UART1
Definition: ISF_UART1.h:77
PROTOCOL_TYPE_UART
Definition: isf_sysconf_types.h:26
FSL_ISF_SPI1
#define FSL_ISF_SPI1
Device instance number.
Definition: ISF_SPI1.h:79
ISF_UART1_InitConfig0
const uart_user_config_t ISF_UART1_InitConfig0
UART configuration declaration.
Definition: ISF_UART1.c:61
PROTOCOL_TYPE_I2C
Definition: isf_sysconf_types.h:24
PROTOCOL_TYPE_SPI
Definition: isf_sysconf_types.h:25
gSys_I2cBusConfig
const i2c_Master_BusConfig_t gSys_I2cBusConfig[]
Definition: isf_sysconf_comms.c:22

This data structure/variable holds the complete state of the rli magnetometer sensor embedded application.

Definition at line 71 of file isf_sysconf_comms.c.

const i2c_Master_BusConfig_t gSys_I2cBusConfig[]

Initial value:
= {
{
.timeout = 1000,
.defaultSpeed = 400,
}
}

Definition at line 22 of file isf_sysconf_comms.c.

const uint8 gSys_NumChannels = sizeof(gSys_ConfiguredChannelList)/sizeof(sys_channelDescriptor_t)

Definition at line 98 of file isf_sysconf_comms.c.

Referenced by dm_channel_init().

const uint8 gSys_NumI2cBuses = I2C_INSTANCE_COUNT

Definition at line 28 of file isf_sysconf_comms.c.

Referenced by i2c_master_adapter_init().

const uint8 gSys_NumSpiBuses = SPI_INSTANCE_COUNT

Definition at line 63 of file isf_sysconf_comms.c.

Referenced by spi_master_adapter_init().

const uint8 gSys_NumUartBuses = UART_INSTANCE_COUNT

Definition at line 45 of file isf_sysconf_comms.c.

Referenced by uart_adapter_init().

i2c_Master_busHandle_t i2c_master_busHandle[I2C_INSTANCE_COUNT]

Definition at line 29 of file isf_sysconf_comms.c.

mutex_t i2c_Master_mutexHandler[I2C_INSTANCE_COUNT]

Definition at line 30 of file isf_sysconf_comms.c.

Referenced by i2c_master_adapter_init().

spi_master_busHandle_t spi_busHandle[SPI_INSTANCE_COUNT]

Definition at line 64 of file isf_sysconf_comms.c.

mutex_t spi_lock[SPI_INSTANCE_COUNT]

Definition at line 65 of file isf_sysconf_comms.c.

Referenced by spi_master_adapter_init().

mutex_t spi_rdlock[SPI_INSTANCE_COUNT]

Definition at line 66 of file isf_sysconf_comms.c.

Referenced by spi_master_adapter_init().

uart_busHandle_t uart_busHandle[UART_INSTANCE_COUNT]

Definition at line 46 of file isf_sysconf_comms.c.

mutex_t uart_lock[UART_INSTANCE_COUNT]

Definition at line 47 of file isf_sysconf_comms.c.

Referenced by uart_adapter_init().

mutex_t uart_rdlock[UART_INSTANCE_COUNT]

Definition at line 48 of file isf_sysconf_comms.c.

Referenced by uart_adapter_init().

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.